vec3 vpHSVtoRGB(vec3 c)
{
    vec4 K = vec4(1.0, 2.0 / 3.0, 1.0 / 3.0, 3.0);

    vec3 p = abs(fract(c.xxx + K.xyz) * 6.0 - K.www);

    return c.z * mix(K.xxx, clamp(p - K.xxx, 0.0, 1.0), c.y);
}

vec3 Gaming_Line(vec3 c)
{
    c = 0.5 + 0.5*cos(frameTimeCounter * 3.5+gl_FragCoord.xyx * 0.05+vec3(0,2,4));

    return c;


}

